> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Users

> Lists the users (end customers) registered under your company. Available for the B2B2B model.

#### Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Authorization | Header | Yes | `Bearer <access>` obtained from **POST /api/token**. |
| clientId | Path | Yes | Your client ID, from **GET /api/infoClient**. |
| Page / PerPage | Query | No | Page number and page size. Send both together. |
| Status | Query | No | Filter by status (e.g. `approved`, `pending`). |
| IdentificationType | Query | No | Filter by ID type (`cc`, `nit`, `ce`, `pp`, `nitf`). |

#### Response

An array of users (or, with `Page`, `{items, total, totalPages, page, perPage}`):

| Field | Description |
| --- | --- |
| id | User identifier. Use it as `userId` in other endpoints. |
| status / complianceStatus | Both must be `approved` to operate. |
| tradeName | Commercial or full legal name. |
| constitutionCountryId / constitutionState / constitutionCity / constitutionDate | Incorporation (or birth) data. |
| person | Identity data: `identificationType`, `identificationNro`, `firstName`, `lastName`, `businessName`, etc. |



## OpenAPI

````yaml /business/openapi.json get /api/b2b2b/{clientId}/users
openapi: 3.1.0
info:
  title: Kravata Business API
  version: '1.0'
  description: >-
    Kravata Business API: on-ramp and off-ramp orders, accounts and wallets,
    users, custody wallets and transfers.
servers:
  - url: https://testapi.kravata.co
    description: Test
  - url: https://apiv2.kravata.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Wallets
  - name: Users
  - name: Ramp Orders
  - name: Custody
  - name: Webhooks
paths:
  /api/b2b2b/{clientId}/users:
    get:
      tags:
        - Users
      summary: Get Users
      description: >-
        Lists the users (end customers) registered under your company. Available
        for the B2B2B model.


        #### Request


        | Field | Type | Required | Description |

        | --- | --- | --- | --- |

        | Authorization | Header | Yes | `Bearer <access>` obtained from **POST
        /api/token**. |

        | clientId | Path | Yes | Your client ID, from **GET /api/infoClient**.
        |

        | Page / PerPage | Query | No | Page number and page size. Send both
        together. |

        | Status | Query | No | Filter by status (e.g. `approved`, `pending`). |

        | IdentificationType | Query | No | Filter by ID type (`cc`, `nit`,
        `ce`, `pp`, `nitf`). |


        #### Response


        An array of users (or, with `Page`, `{items, total, totalPages, page,
        perPage}`):


        | Field | Description |

        | --- | --- |

        | id | User identifier. Use it as `userId` in other endpoints. |

        | status / complianceStatus | Both must be `approved` to operate. |

        | tradeName | Commercial or full legal name. |

        | constitutionCountryId / constitutionState / constitutionCity /
        constitutionDate | Incorporation (or birth) data. |

        | person | Identity data: `identificationType`, `identificationNro`,
        `firstName`, `lastName`, `businessName`, etc. |
      operationId: get-users
      parameters:
        - name: clientId
          in: path
          required: true
          description: ''
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    complianceStatus:
                      type: string
                    constitutionCity:
                      type: string
                    constitutionCountryId:
                      type: integer
                    constitutionDate:
                      type: string
                    constitutionState:
                      type: string
                    id:
                      type: string
                    isVip:
                      type: boolean
                    person:
                      type: object
                      properties:
                        businessName:
                          type: string
                        firstName:
                          type: string
                        firstSurname:
                          type: string
                        id:
                          type: string
                        identificationNro:
                          type: string
                        identificationType:
                          type: string
                        isJuridic: {}
                        lastName:
                          type: string
                        middleName:
                          type: string
                        nationality: {}
                        pep: {}
                        registerDate:
                          type: string
                        verificateDigit:
                          type: integer
                    products:
                      type: array
                      items: {}
                    status:
                      type: string
                    tradeName:
                      type: string
              examples:
                api-b2b2b-users:
                  summary: api/b2b2b/users
                  value:
                    - complianceStatus: pending
                      constitutionCity: Ciénaga de Oro
                      constitutionCountryId: 8
                      constitutionDate: '2002-04-13 00:00:00.000001'
                      constitutionState: Córdoba Department
                      id: 46242367-15ac-4011-be01-3b030455d7e1
                      isVip: false
                      person:
                        businessName: MAT TEST CHILD 4
                        firstName: MAT TEST CHILD 5
                        firstSurname: MAT TEST CHILD 5
                        id: 46242367-15ac-4011-be01-3b030455d7e1
                        identificationNro: '905116922270'
                        identificationType: nit
                        isJuridic: null
                        lastName: MAT TEST CHILD 3
                        middleName: MAT TEST CHILD 5
                        nationality: null
                        pep: null
                        registerDate: '2025-08-25 16:51:05.801761'
                        verificateDigit: 8
                      products: []
                      status: pending
                      tradeName: MAT TEST CHILD 3
                    - complianceStatus: pending
                      constitutionCity: Ciénaga de Oro
                      constitutionCountryId: 8
                      constitutionDate: '2002-04-13 00:00:00.000001'
                      constitutionState: Córdoba Department
                      id: 5735dfd9-570d-40da-ad0e-50747e041bc1
                      isVip: false
                      person:
                        businessName: MAT TEST CHILD 4
                        firstName: MAT TEST CHILD 5
                        firstSurname: MAT TEST CHILD 5
                        id: 5735dfd9-570d-40da-ad0e-50747e041bc1
                        identificationNro: '15116922270'
                        identificationType: nit
                        isJuridic: null
                        lastName: MAT TEST CHILD 3
                        middleName: MAT TEST CHILD 5
                        nationality: null
                        pep: true
                        registerDate: '2025-08-25 16:47:44.695888'
                        verificateDigit: 8
                      products: []
                      status: pending
                      tradeName: MAT TEST CHILD 3
                    - complianceStatus: pending
                      constitutionCity: Ciénaga de Oro
                      constitutionCountryId: 8
                      constitutionDate: '2002-04-13 00:00:00.000001'
                      constitutionState: Córdoba Department
                      id: 6b25754c-733e-487a-9f15-44c182e112dc
                      isVip: false
                      person:
                        businessName: MAT TEST CHILD 4
                        firstName: MAT TEST CHILD 4
                        firstSurname: MAT TEST CHILD 4
                        id: 6b25754c-733e-487a-9f15-44c182e112dc
                        identificationNro: '35116922270'
                        identificationType: nit
                        isJuridic: null
                        lastName: MAT TEST CHILD 3
                        middleName: MAT TEST CHILD 4
                        nationality: null
                        pep: true
                        registerDate: '2025-08-25 16:47:07.866110'
                        verificateDigit: 8
                      products: []
                      status: pending
                      tradeName: MAT TEST CHILD 3
                    - complianceStatus: pending
                      constitutionCity: Ciénaga de Oro
                      constitutionCountryId: 8
                      constitutionDate: '2002-04-13 00:00:00.000001'
                      constitutionState: Córdoba Department
                      id: 6b944d5d-878d-43b9-90e6-b4da9162acb1
                      isVip: false
                      person:
                        businessName: MAT TEST CHILD 2
                        firstName: MAT TEST CHILD 2 FN
                        firstSurname: MAT TEST CHILD 2 FSN
                        id: 6b944d5d-878d-43b9-90e6-b4da9162acb1
                        identificationNro: '451169270'
                        identificationType: nit
                        isJuridic: null
                        lastName: MAT TEST CHILD 2 LN
                        middleName: MAT TEST CHILD 2 MN
                        nationality: null
                        pep: true
                        registerDate: '2025-08-22 17:06:50.749932'
                        verificateDigit: 8
                      products: []
                      status: approved
                      tradeName: CLIENT 2
                    - complianceStatus: pending
                      constitutionCity: Ciénaga de Oro
                      constitutionCountryId: 8
                      constitutionDate: '2002-04-13 00:00:00.000001'
                      constitutionState: Córdoba Department
                      id: f3fbb57c-e633-409d-a526-a47fd128b4b3
                      isVip: false
                      person:
                        businessName: MAT TEST CHILD 2
                        firstName: MAT TEST CHILD 3
                        firstSurname: MAT TEST CHILD 3
                        id: f3fbb57c-e633-409d-a526-a47fd128b4b3
                        identificationNro: '45116922270'
                        identificationType: nit
                        isJuridic: null
                        lastName: MAT TEST CHILD 3
                        middleName: MAT TEST CHILD 3
                        nationality: null
                        pep: true
                        registerDate: '2025-08-22 20:04:38.615674'
                        verificateDigit: 8
                      products: []
                      status: approved
                      tradeName: MAT TEST CHILD 3
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access token from POST /api/token (valid 5 minutes).

````